[ 
https://issues.apache.org/jira/browse/SCB-391?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16396680#comment-16396680
 ] 

ASF GitHub Bot commented on SCB-391:
------------------------------------

asifdxtreme closed pull request #304: SCB-391 SC does not rotate log file
URL: https://github.com/apache/incubator-servicecomb-service-center/pull/304
 
 
   

This is a PR merged from a forked repository.
As GitHub hides the original diff on merge, it is displayed below for
the sake of provenance:

As this is a foreign pull request (from a fork), the diff is supplied
below (as it won't show otherwise due to GitHub magic):

diff --git a/scripts/release/start_scripts/linux/start-service-center.sh 
b/scripts/release/start_scripts/linux/start-service-center.sh
index 758f07ba..336bed85 100644
--- a/scripts/release/start_scripts/linux/start-service-center.sh
+++ b/scripts/release/start_scripts/linux/start-service-center.sh
@@ -15,4 +15,12 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+set -e
+
+root_path=$(cd "$(dirname "$0")"; pwd)
+
+cd ${root_path}
+
+sed -i "s|^runmode.*=.*$|runmode = prod|g" conf/app.conf
+
 ./service-center > start-sc.log 2>&1 &


 

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
us...@infra.apache.org


> SC does not rotate log file
> ---------------------------
>
>                 Key: SCB-391
>                 URL: https://issues.apache.org/jira/browse/SCB-391
>             Project: Apache ServiceComb
>          Issue Type: Bug
>          Components: Service-Center
>            Reporter: little-cui
>            Assignee: little-cui
>            Priority: Major
>             Fix For: service-center-1.0.0-m2
>
>




--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to